Macaulay2 » Documentation
Packages » Miura :: setQuotientRing given List of RingElements
next | previous | forward | backward | up | index | toc

# setQuotientRing given List of RingElements -- Set Quotient Ring given Multiple Defining Equations

- Usage:
    `setQuotientRing(LL)`
- Inputs:
  - LL, a list of generators of the curve
- Outputs:
  - an ideal

The function setQuotientRing sets the quotient ring QR of PR over an ideal, where the ideal may be given by defining equations. The global variables PR and QR are specified when setting its polynomial ring and quotient ring, respectively.

    i1 : setPolynomialRing(GF 5,{x,y,z},{4,6,5})

    o1 = PR

    o1 : PolynomialRing

    i2 : setQuotientRing({y^2-x^3-1, z^2-x*y-1})

    o2 = QR

    o2 : QuotientRing

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Miura.m2:140:0.